geos::noding::ScaledNoder Class Reference

Wraps a `Noder` and transforms its input into the integer domain. More...

`#include <ScaledNoder.h>`

Inheritance diagram for geos::noding::ScaledNoder:

## Public Member Functions

bool | isIntegerPrecision ()
| ScaledNoder (Noder &n, double nScaleFactor, double nOffsetX=0.0, double nOffsetY=0.0)
std::vector< SegmentString * > * | getNodedSubstrings () const override
| Returns a collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.
void | computeNodes (std::vector< SegmentString * > *inputSegStr) override
| Computes the noding for a collection of SegmentStrings.
void | filter_ro (const geom::Coordinate *c)
void | filter_rw (geom::Coordinate *c) const

## Friends

class | ScaledNoder::Scaler
class | ScaledNoder::ReScaler

## Detailed Description

Wraps a `Noder` and transforms its input into the integer domain.

This is intended for use with Snap-Rounding noders, which typically are only intended to work in the integer domain. Offsets can be provided to increase the number of digits of available precision.

## Member Function Documentation

## computeNodes()

void geos::noding::ScaledNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

override virtual

Computes the noding for a collection of SegmentStrings.

Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

Parameters

  segStrings | a collection of `SegmentString`s to node The caller remains responsible for releasing the memory associated with the container and its elements.

Implements geos::noding::Noder.

## getNodedSubstrings()

std::vector< SegmentString * > * geos::noding::ScaledNoder::getNodedSubstrings | ( |  | ) | const

override virtual

Returns a collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a newly allocated std::vector of newly allocated SegmentStrings (copies of input, if needs be). Caller is responsible to delete container and elements.

Implements geos::noding::Noder.

The documentation for this class was generated from the following file:

- ScaledNoder.h